# APPLEElementArray (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLEElementArray

    java.lang.Object
      org.lwjgl.opengl.APPLEElementArray

    public final class APPLEElementArray

extends java.lang.Object

Field Summary
`static int` `GL_ELEMENT_ARRAY_APPLE` Accepted by the <array> parameter of EnableClientState and DisableClientState and the <value> parameter of IsEnabled:
`static int` `GL_ELEMENT_ARRAY_POINTER_APPLE` Accepted by the <pname> parameter of GetPointerv:
`static int` `GL_ELEMENT_ARRAY_TYPE_APPLE` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glDrawElementArrayAPPLE(int mode, int first, int count)`
`static void` `glDrawRangeElementArrayAPPLE(int mode, int start, int end, int first, int count)`
`static void` `glElementPointerAPPLE(java.nio.ByteBuffer pointer)`
`static void` `glElementPointerAPPLE(java.nio.IntBuffer pointer)`
`static void` `glElementPointerAPPLE(java.nio.ShortBuffer pointer)`
`static void` `glMultiDrawElementArrayAPPLE(int mode, java.nio.IntBuffer first, java.nio.IntBuffer count)`
`static void` `glMultiDrawRangeElementArrayAPPLE(int mode, int start, int end, java.nio.IntBuffer first, java.nio.IntBuffer count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ELEMENT_ARRAY_APPLE

    public static final int GL_ELEMENT_ARRAY_APPLE

  Accepted by the <array> parameter of EnableClientState and DisableClientState and the <value> parameter of IsEnabled:

  See Also:
    Constant Field Values

### GL_ELEMENT_ARRAY_TYPE_APPLE

    public static final int GL_ELEMENT_ARRAY_TYPE_APPLE

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_ELEMENT_ARRAY_POINTER_APPLE

    public static final int GL_ELEMENT_ARRAY_POINTER_APPLE

  Accepted by the <pname> parameter of GetPointerv:

  See Also:
    Constant Field Values

Method Detail

### glElementPointerAPPLE

    public static void glElementPointerAPPLE(java.nio.ByteBuffer pointer)

### glElementPointerAPPLE

    public static void glElementPointerAPPLE(java.nio.IntBuffer pointer)

### glElementPointerAPPLE

    public static void glElementPointerAPPLE(java.nio.ShortBuffer pointer)

### glDrawElementArrayAPPLE

    public static void glDrawElementArrayAPPLE(int mode,
                                               int first,
                                               int count)

### glDrawRangeElementArrayAPPLE

    public static void glDrawRangeElementArrayAPPLE(int mode,
                                                    int start,
                                                    int end,
                                                    int first,
                                                    int count)

### glMultiDrawElementArrayAPPLE

    public static void glMultiDrawElementArrayAPPLE(int mode,
                                                    java.nio.IntBuffer first,
                                                    java.nio.IntBuffer count)

### glMultiDrawRangeElementArrayAPPLE

    public static void glMultiDrawRangeElementArrayAPPLE(int mode,
                                                         int start,
                                                         int end,
                                                         java.nio.IntBuffer first,
                                                         java.nio.IntBuffer count)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.